> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/definitions/types/leagues-and-stages.md).

# Leagues and stages

## League types

| League type |                                                                              |
| ----------- | ---------------------------------------------------------------------------- |
| `league`    | A league from one country. I.e The English Premier League, Serie A, La Liga. |
| `phase`     | A phase from a league I.e. play-offs.                                        |

## League sub-types

| League sub-type     |                                                                                          |
| ------------------- | ---------------------------------------------------------------------------------------- |
| `domestic`          | A league from one country. I.e The English Premier League, Serie A, La Liga etc. type    |
| `domestic_cup`      | A cup from one country. I.e The F.A Cup, DFB Pokal, Coppa Italia etc.                    |
| `international`     | A league for international teams. I.e World Cup, European Championship, Copa America     |
| `cup_international` | An international cup. I.e UEFA Champions League, Copa Libertadores, UEFA Europa League   |
| `play-offs`         | A play-off league for a specific competition.                                            |
| `friendly`          | An international or club friendly league. I.e Club Friendlies, International Friendlies. |

## Stage types

<table><thead><tr><th width="79">ID</th><th>Code</th><th>Name</th><th>Description</th></tr></thead><tbody><tr><td>223</td><td>group-stage</td><td><code>GROUP_STAGE</code></td><td>Indicates that the stage of the competition is the group stage.</td></tr><tr><td>224</td><td>knock-out</td><td><code>KNOCK_OUT</code></td><td>Indicates that the stage of the competition is the knock-out stage. </td></tr><tr><td>225</td><td>qualifying</td><td><code>QUALIFYING</code></td><td>Indicates that the stage of the competition is the qualifying stage.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v3/definitions/types/leagues-and-stages.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
